<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package NEOVANTAGE
 */

get_header();
$sidebar_layout = get_theme_mod( 'neovantage-sidebar-layout', '1' );
$layout_class   = ( 3 === $sidebar_layout ) ? 'col-lg-12' : 'col-lg-8';

$obj = get_queried_object();

if ( $obj ) {
	$query_args   = array(
		'post_type'      => 'post',
		'posts_per_page' => 4,
		'paged'          => 1,
		'tax_query'      => array(
			array(
				'taxonomy' => 'category',
				'field'    => 'slug',
				'terms'    => '' . ( $obj->slug ) . '',
			),
		),
	);
	$recent_posts = new WP_Query( $query_args );
	?>

	<?php if ( $recent_posts->have_posts() ) : ?>

<div class="container">
	<div class="neovantage-post-grid-block neovantage-style-overlay clearfix">
		<div class="neovantage-grid neovantage-grid-4 clearfix">
			<?php
			$i = 1;
			/* Start the Loop */
			while ( $recent_posts->have_posts() ) :
				$recent_posts->the_post();
				?>
			<article id="post-<?php the_ID(); ?>" <?php post_class( 'neovantage-feature-' . intval( $i ) . ' neovantage-grid-entry' ); ?>>

				<div class="neovantage-grid-content">
					<?php if ( has_post_thumbnail() ) : ?>
					<div class="neovantage-grid-img">
						<a href="<?php the_permalink(); ?>" style="background-image: url('<?php the_post_thumbnail_url( 'full' ); ?>');"></a>
					</div>
					<?php endif; ?>

					<div class="neovantage-article-meta">
						<h2 class="neovantage-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						<div class="neovantage-byline">
							<div class="neovantage-byline-element"><i class="icon lynny-general-user-1"></i> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php the_author(); ?></a></div>
							<?php
							$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
							if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
								$time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time><time class="updated" datetime="%3$s">%4$s</time>';
							}

							$time_string = sprintf(
								$time_string,
								esc_attr( get_the_date( 'c' ) ),
								esc_html( get_the_date() ),
								esc_attr( get_the_modified_date( 'c' ) ),
								esc_html( get_the_modified_date() )
							);
							?>
							<div class="neovantage-byline-element"><i class="icon lynny-general-calendar"></i> <?php echo $time_string; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></div>
						</div>
					</div>
				</div>
			</article>
				<?php
				$i++;
				endwhile;
			wp_reset_postdata();
			?>
		</div>
	</div>
</div>
	<?php endif; ?>
<?php } ?>
<div class="container">
	<div class="row">
		<?php if ( 3 !== $sidebar_layout && 2 === $sidebar_layout ) { ?>
			<?php get_sidebar(); ?>
		<?php } ?>
		<div class="<?php echo sanitize_html_class( $layout_class ); ?>">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">

					<?php do_action( 'neovantage_page_header' ); ?>

					<!-- Get Post Layout i.e. Classic or List -->
					<?php $layout = neovantage_get_layout(); ?>
					<!--/ Get Post Layout i.e. Classic or List -->

					<?php
					if ( have_posts() ) :

						/* Start the Loop */
						while ( have_posts() ) :
							the_post();
							/**
							 * Include the Post-Format-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
							 */
							get_template_part( 'template-parts/' . $layout );
						endwhile;

						the_posts_pagination(
							array(
								'mid_size'  => 2,
								'prev_text' => __( '<i class="icon lynny-left-arrow-3"></i>', 'neovantage' ),
								'next_text' => __( '<i class="icon lynny-right-arrow-3"></i>', 'neovantage' ),
							)
						);
					endif;
					?>
				</main><!-- #main -->
			</div><!-- #primary -->
		</div>
		<?php if ( 3 !== $sidebar_layout && 1 === $sidebar_layout ) { ?>
			<?php get_sidebar(); ?>
		<?php } ?>
	</div>
</div>
<?php
get_footer();
