<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package NEOVANTAGE
 */

$footer_widget_area = neovantage_get_theme_mod( 'footer_widget_area_setting' );
?>
	</section><!-- #content -->
		<?php if ( ! is_page_template( 'page-templates/template-landing.php' ) ) : ?>
			<?php if ( shortcode_exists( 'instagram-feed' ) ) : ?>
				<div class="clearfix"><?php echo do_shortcode( '[instagram-feed]' ); ?></div>
			<?php endif; ?>
		<?php endif; ?>
		<footer id="colophon" class="site-footer" role="contentinfo">
			<?php if ( ! is_page_template( 'page-templates/template-landing.php' ) && 1 === $footer_widget_area ) : ?>
			<div class="site-footer-widgets">
				<div class="container">
					<div class="row">
						<div class="col-lg-3">
							<?php dynamic_sidebar( 'footer-1' ); ?>
						</div>
						<div class="col-lg-3">
							<?php dynamic_sidebar( 'footer-2' ); ?>
						</div>
						<div class="col-lg-3">
							<?php dynamic_sidebar( 'footer-3' ); ?>
						</div>
						<div class="col-lg-3">
							<?php dynamic_sidebar( 'footer-4' ); ?>
						</div>
					</div>
				</div>
			</div>
			<?php endif; ?>
			<div class="site-footer-content">
				<div class="container">
					<div class="row">
						<div class="col-md-7">
							<div class="copyright">
								<?php
								$footer_copyright_text = neovantage_get_theme_mod( 'footer_copyright_text' );
								echo wp_kses_post( $footer_copyright_text );
								?>
							</div><!-- .site-info -->
						</div>
						<div class="col-md-5">
							<ul class="social-network">
								<?php
								$facebook_link = neovantage_get_theme_mod( 'facebook_link' );
								if ( $facebook_link && '#' !== $facebook_link ) :
									?>
								<li><a data-placement="top" href="<?php echo esc_url( $facebook_link ); ?>" title="<?php esc_attr_e( 'Facebook', 'neovantage' ); ?>" target="_blank"><i class="icon lynny-web-facebook"></i></a></li>
								<?php endif; ?>
								<?php
								$twitter_link = neovantage_get_theme_mod( 'twitter_link' );
								if ( $twitter_link && '#' !== $twitter_link ) :
									?>
								<li><a data-placement="top" href="<?php echo esc_url( $twitter_link ); ?>" title="<?php esc_attr_e( 'Twitter', 'neovantage' ); ?>" target="_blank"><i class="icon lynny-web-twitter"></i></a></li>
								<?php endif; ?>
								<?php
								$google_plus_link = neovantage_get_theme_mod( 'google_plus_link' );
								if ( $google_plus_link && '#' !== $google_plus_link ) :
									?>
								<li><a data-placement="top" href="<?php echo esc_url( $google_plus_link ); ?>" title="<?php esc_attr_e( 'Google Plus', 'neovantage' ); ?>" target="_blank"><i class="icon lynny-web-gplus"></i></a></li>
								<?php endif; ?>
								<?php
								$instagram_link = neovantage_get_theme_mod( 'instagram_link' );
								if ( $instagram_link && '#' !== $instagram_link ) :
									?>
								<li><a data-placement="top" href="<?php echo esc_url( $instagram_link ); ?>" title="<?php esc_attr_e( 'Instagram', 'neovantage' ); ?>" target="_blank"><i class="icon lynny-web-instagram"></i></a></li>
								<?php endif; ?>
								<?php
								$linkdin_link = neovantage_get_theme_mod( 'linkedIn_link' );
								if ( $linkdin_link && '#' !== $linkdin_link ) :
									?>
								<li><a data-placement="top" href="<?php echo esc_url( $linkdin_link ); ?>" title="<?php esc_attr_e( 'LinkedIn', 'neovantage' ); ?>" target="_blank"><i class="icon lynny-web-linkedin"></i></a></li>
								<?php endif; ?>
								<?php
								$pinterest_link = neovantage_get_theme_mod( 'pinterest_link' );
								if ( $pinterest_link && '#' !== $pinterest_link ) :
									?>
								<li><a data-placement="top" href="<?php echo esc_url( $pinterest_link ); ?>" title="<?php esc_attr_e( 'Pinterest', 'neovantage' ); ?>" target="_blank"><i class="icon lynny-web-pinterest"></i></a></li>
								<?php endif; ?>
								<?php
								$stumbleupon_link = neovantage_get_theme_mod( 'stumbleupon_link' );
								if ( $stumbleupon_link && '#' !== $stumbleupon_link ) :
									?>
								<li><a data-placement="top" href="<?php echo esc_url( $stumbleupon_link ); ?>" title="<?php esc_attr_e( 'StumbleUpon', 'neovantage' ); ?>" target="_blank"><i class="icon lynny-web-stumbleupon"></i></a></li>
								<?php endif; ?>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</footer><!-- #colophon -->
	</div><!-- #page -->
	<?php
	wp_footer();
	$neovantage_code_body_end = neovantage_get_theme_mod( 'neovantage_code_body_end', false );
	if ( ! empty( $neovantage_code_body_end ) ) :
		echo $neovantage_code_body_end; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
	endif;
	?>
	</body>
</html>
