<?php
if ( class_exists( 'WP_Customize_Control' ) ) {

	/**
	 * Custom Export/Import Control
	 *
	 * @author  PixelsPress <contact@pixelspress.com>
	 */
	class Neovantage_Control_Export_Import extends WP_Customize_Control {

		public $label_1       = '';
		public $description_1 = '';

		public $label_2       = '';
		public $description_2 = '';

		/**
		 * Render the control's content.
		 *
		 * @author  PixelsPress <contact@pixelspress.com>
		 * @version     1.0.0
		 */
		protected function render_content() {
			?>
			<span class="customize-control-title"><?php echo esc_html( $this->label_1 ); ?></span>
			<span class="description customize-control-description"><?php echo esc_html( $this->description_1 ); ?></span>

			<div class="actions nei-actions">
				<input type="button" class="button" name="nei-export-button" value="<?php echo esc_html( $this->label_1 ); ?>" />
			</div>
			<hr />

			<span class="customize-control-title"><?php echo esc_html( $this->label_2 ); ?></span>
			<span class="description customize-control-description"><?php echo esc_html( $this->description_2 ); ?></span>
			<div class="nei-import-controls">
				<input type="file" name="nei-import-file" class="nei-import-file" />
				<label class="nei-import-images">
					<input type="checkbox" name="nei-import-images" value="1" /> <?php esc_html_e( 'Download and import image files?', 'neovantage' ); ?>
				</label>
				<?php wp_nonce_field( 'nei-importing', 'nei-import' ); ?>
			</div>
			<div class="nei-uploading"><?php esc_html_e( 'Uploading...', 'neovantage' ); ?></div>
			<div class="actions nei-actions">
				<input type="button" class="button" name="nei-import-button" value="<?php echo esc_html( $this->label_2 ); ?>" />
			</div>
			<?php
		}
	}
}
