<?php
/**
 * NEOVANTAGE control title
 *
 * @package NEOVANTAGE
 * @since 2.0.0
 *
 * @author Mohsin Rafique <https://pixelspress.com>
 */
class Neovantage_Control_Title extends WP_Customize_Control {

	/**
	 * Control type
	 *
	 * @since  2.0.0
	 */
	public $type = 'neovantage-title';

	/**
	 * Render content of the control
	 *
	 * @since 2.0.0
	 */
	public function render_content() {
		$extra_class = isset( $this->choices ) && ( 'top' == $this->choices ) ? ' neovantage-control-title-top' : '';
		echo '<label>';
		if ( isset( $this->label ) && '' !== $this->label ) {
			echo '<span class="neovantage-control-title' . esc_attr( $extra_class ) . '">' . esc_attr( $this->label ) . '</span>';
		}
		if ( isset( $this->description ) && '' !== $this->description ) {
			echo '<span class="description neovantage-control-description">' . esc_attr( $this->description ) . '</span>';
		}
		echo '</label>';
	}
}
