<?php
if ( class_exists( 'WP_Customize_Control' ) ) {

	/**
	 * Custom Switch Control
	 *
	 * @author  Mohsin Rafique  <mohsin.rafique@gmail.com>
	 */
	class Neovantage_Customize_Switch_Control extends WP_Customize_Control {

		/**
		 * Enqueue scripts/styles for the AMP WP custom switch
		 *
		 * @since   1.0.0
		 */
		public function enqueue() {
			// wp_enqueue_style( 'neovantage-switch', get_template_directory_uri() . '/css/neovantage-switch.css', array(), wp_rand() );
			// wp_enqueue_script( 'neovantage-switch', get_template_directory_uri() . '/js/neovantage-switch.js', array( 'jquery' ), wp_rand(), true );
		}

		/**
		 * Render the control's content.
		 *
		 * @author      Mohsin Rafique <mohsin.rafique@gmail.com>
		 * @version     1.0.0
		 */
		protected function render_content() {
			$val = $this->value();
			?>
			<label>
				<div class="neovantage-switch">
					<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
					<input
						type="checkbox"
						id="cb<?php echo intval( $this->instance_number ); ?>"
						class="tgl tgl-light"
						value="<?php echo esc_attr( $this->value() ); ?>"
						<?php
						$this->link();
						checked( $this->value() );
						?>
					/>
					<label for="cb<?php echo intval( $this->instance_number ); ?>" class="tgl-btn"></label>
				</div>
				<?php if ( ! empty( $this->description ) ) : ?>
				<span class="description customize-control-description"><?php echo esc_html( $this->description ); ?></span>
				<?php endif; ?>
			</label>
			<?php
		}
	}
}
