<?php
/**
 * Customizer defaults
 *
 * @package     NEOVANTAGE
 * @link        https://pixelspress.com/free-wordpress-theme/
 */

if ( ! function_exists( 'neovantage_get_default_theme_setting' ) ) :
	/**
	 * Get default theme Setting.
	 *
	 * @param string $setting_id
	 * @param string $setting_index
	 *
	 * @return mix
	 */
	function neovantage_get_default_theme_setting( $setting_id, $setting_index = '' ) {

		$settings = array(

			'custom_logo'                                 => '',

			// Style Panel -> Colors.
			'neovantage_theme_color'                      => '#26c6da',
			'neovantage_header_bg_color'                  => '#26c6da',

			// Style Panel -> Typography.
			'neovantage_heading_font'                     => '1',
			'neovantage_body_font'                        => '2',
			'typekit_id'                                  => '',
			'typekit_font_1'                              => '',
			'typekit_font_2'                              => '',

			// Blog Panel -> Blog Global.
			'neovantage_get_image_from_content'           => true,
			'neovantage_related_posts'                    => true,
			'neovantage_related_posts_count'              => 2,
			'neovantage_related_posts_algorithm'          => 'rand',

			// Layout Section -> Page Layout.
			'sidebar_layout'                              => '1',
			'page_sidebar_layout'                         => '3',
			'neovantage_category_layout'                  => '1',
			'neovantage_tag_layout'                       => '1',
			'neovantage_author_layout'                    => '1',
			'neovantage_search_page_layout'               => '1',

			// Footer Section -> Widget & Copyright Sections.
			'footer_widget_area_setting'                  => false,
			'footer_copyright_text'                       => sprintf(
				__( 'NEOVANTAGE Theme by <a rel="designer" href="%1$s">%2$s</a> <span class="sep"> | </span> Powered by <a rel="designer" href="%3$s">%4$s</a>', 'neovantage' ),
				esc_url( 'pixelspress.com' ),
				esc_html( 'PixelsPress' ),
				esc_url( 'wordpress.org' ),
				esc_html( 'WordPress' )
			),

			// Social Media Section.
			'facebook_link'                               => '#',
			'twitter_link'                                => '#',
			'google_plus_link'                            => '#',
			'instagram_link'                              => '#',
			'linkedIn_link'                               => '#',
			'pinterest_link'                              => '#',
			'stumbleupon_link'                            => '#',

			// Notice Bar Section.
			'neovantage_notifications'                    => '',
			'neovantage_notifications_text'               => esc_html__( 'This website uses cookies.', 'neovantage' ),
			'neovantage_notifications_more_info_text'     => esc_html__( 'Find out more.', 'neovantage' ),
			'neovantage_notifications_more_info_page'     => '',
			'neovantage_notifications_accept_button_text' => esc_html__( 'Accept', 'neovantage' ),
			'neovantage_notifications_cookie_expiry'      => '30',
			'neovantage_notifications_cookie_version'     => '1',

			// Site Loader Section.
			'preloader'                                   => 'enable',

			// Maintenance Mode Section.
			'neovantage_maintenance_mode_setting'         => '',
			'neovantage_maintenance_msg_setting'          => esc_html__( 'We are currently in maintenance mode. Please check back later.', 'neovantage' ),

			// Custom HTML Code Section.
			'neovantage_code_head'                        => '',
			'neovantage_code_body_start'                  => '',
			'neovantage_code_body_end'                    => '',
		);
		if ( $setting_index ) {
			if ( isset( $settings[ $setting_id ][ $setting_index ] ) ) {
				return $settings[ $setting_id ][ $setting_index ];
			}
		} else {
			if ( isset( $settings[ $setting_id ] ) ) {
				return $settings[ $setting_id ];
			}
		}
	}
endif;
