/**
 * Copyright: PixelsPress
 * Theme: NEOVANTAGE
 * Version: 1.0.0
 */
(function( $, Neovantage ) {
	'use strict';
	
	Neovantage.bind( 'ready', function () {

		function NeovantageControlStatus( setting, toCheck, comparison, initialCheck ) {

			return function( control ) {
				var status = function() {

					if ( comparison === 'intarray' ) {
						return $.inArray( parseInt( setting.get() ), toCheck ) !== -1;
					} else if ( comparison === '=' ) {
						return setting.get() === toCheck;
					} else if ( comparison === '!=' ) {
						return setting.get() !== toCheck;
					}  else if ( comparison === '!empty' ) {
						return setting.get() !== '';
					}  else if ( comparison === '!=int' ) {
						return parseInt( setting.get() ) !== toCheck;
					} else if ( comparison === 'gt' ) {
						return parseInt( setting.get() ) > toCheck;
					} else if ( comparison === 'lt' ) {
						return parseInt( setting.get() ) < toCheck;
					} else if ( comparison === 'true' ) {
						return ( setting.get() === true || setting.get() === 1 || setting.get() === 'true' )
					} else if ( comparison === 'false' ) {
						return ( setting.get() !== true && setting.get() !== 1 && setting.get() !== 'true' )
					} else if ( comparison === 'int' ) {
						if ( typeof( toCheck ) === 'object' ) {
							for (var i = 0; i < toCheck.length; i++) {
								if ( parseInt( setting.get() ) === toCheck[i] ) {
									return true;
								}
							}
							return false;
						} else {
							return ( parseInt( setting.get() ) === toCheck );
						}
					} else if ( comparison === 'object' ) {
						var showIt = true;
						for ( var i = 0; i < toCheck.length; i++ ) {
							var valToCheck = Neovantage.value( toCheck[i][0] )();
							if ( toCheck[i][2] === '=' ) {
								if ( valToCheck !== toCheck[i][1] ) {
									showIt = false;
								}
							} else if ( toCheck[i][2] === 'true' ) {
								if ( valToCheck !== true && valToCheck !== 1 && valToCheck !== 'true' ) {
									showIt = false;
								}
							} else if ( toCheck[i][2] === 'false' ) {
								if ( valToCheck === true || valToCheck === 1 || valToCheck === 'true' ) {
									showIt = false;
								}
							} else if ( toCheck[i][2] === '!empty' ) {
								if ( valToCheck === '' ) {
									showIt = false;
								}
							} else if ( toCheck[i][2] === 'gt' ) {

								if ( parseInt( valToCheck ) <= toCheck[i][1] ) {
									showIt = false;
								}
							} else if ( toCheck[i][2] === 'lt' ) {
								if ( parseInt( valToCheck ) >= toCheck[i][1] ) {
									showIt = false;
								}
							} else if ( toCheck[i][2] === 'int' ) {
								if ( toCheck[i][1] !== parseInt( valToCheck ) ) {
									showIt = false;
								}
							}  else if ( toCheck[i][2] === '!=int' ) {
								if ( parseInt( valToCheck ) === toCheck[i][1] ) {
									showIt = false
								}
							}
						}

						return showIt;
					}
				};
				var changeStatus = function() {
					control.active.set( status() );
				};

				control.active.validate = status;
				if ( initialCheck !== 'off' ) {
					changeStatus();
				}
				setting.bind( changeStatus );
			};
		}

		Neovantage( 'font_3_onoff', function( setting ) {
			Neovantage.control( 'font_3_source', NeovantageControlStatus( setting, 'true', 'true' ) );
			Neovantage.control( 'font_3_letter_spacing', NeovantageControlStatus( setting, 'true', 'true' ) );
			Neovantage.control( 'font_3_color', NeovantageControlStatus( setting, 'true', 'true' ) );

			Neovantage.control( 'font_3_google', NeovantageControlStatus( setting, [ [ 'font_3_source', 1, 'int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
			Neovantage.control( 'font_3_weight_custom', NeovantageControlStatus( setting, [ [ 'font_3_source', 1, '!=int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
			Neovantage.control( 'font_3_typekit', NeovantageControlStatus( setting, [ [ 'font_3_source', 2, 'int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
			Neovantage.control( 'font_3_typekit_custom', NeovantageControlStatus( setting, [ [ 'font_3_source', 2, 'int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
			Neovantage.control( 'font_3_typekit_fallback', NeovantageControlStatus( setting, [ [ 'font_3_source', 2, 'int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
			Neovantage.control( 'font_3_custom', NeovantageControlStatus( setting, [ [ 'font_3_source', 3, 'int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
		} );

		Neovantage( 'font_3_source', function( setting ) {
			Neovantage.control( 'font_3_google', NeovantageControlStatus( setting, [ [ 'font_3_source', 1, 'int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
			Neovantage.control( 'font_3_weight_custom', NeovantageControlStatus( setting, [ [ 'font_3_source', 1, '!=int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
			Neovantage.control( 'font_3_typekit', NeovantageControlStatus( setting, [ [ 'font_3_source', 2, 'int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
			Neovantage.control( 'font_3_typekit_custom', NeovantageControlStatus( setting, [ [ 'font_3_source', 2, 'int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
			Neovantage.control( 'font_3_typekit_fallback', NeovantageControlStatus( setting, [ [ 'font_3_source', 2, 'int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
			Neovantage.control( 'font_3_custom', NeovantageControlStatus( setting, [ [ 'font_3_source', 3, 'int' ], [ 'font_3_onoff', 'true', 'true' ] ], 'object' ) );
		} );

	   var fonts = [ 1, 2 ];

	   for ( var i = 0; i < fonts.length; i++ ) {
			Neovantage( 'neovantage_font_combination_' + fonts[i] + '_source', function( setting ) {
				Neovantage.control( 'neovantage_font_combination_' + fonts[i] + '_google', NeovantageControlStatus( setting, 1, 'int' ) );
				Neovantage.control( 'neovantage_font_combination_' + fonts[i] + '_weight_custom', NeovantageControlStatus( setting, 1, 'gt' ) );
				Neovantage.control( 'neovantage_font_combination_' + fonts[i] + '_typekit', NeovantageControlStatus( setting, 2, 'int' ) );
				Neovantage.control( 'neovantage_font_combination_' + fonts[i] + '_typekit_fallback', NeovantageControlStatus( setting, 2, 'int' ) );
				Neovantage.control( 'neovantage_font_combination_' + fonts[i] + '_typekit_custom', NeovantageControlStatus( setting, 2, 'int' ) );
				Neovantage.control( 'neovantage_font_combination_' + fonts[i] + '_custom', NeovantageControlStatus( setting, 3, 'int' ) );
			} );
	   }

		$('.tipi-tip').on( 'mouseenter', function(){
			var $tipOutput, $current;
			$current = $(this);
			$current.addClass( 'tipi-tipped' );
			var output = '<div class="tipi-tip-wrap">' +
				'<div class="inner">' +
					$current.data( 'title' ) +
				'</div>' +
				'<div class="detail"></div>' +
				'</div>';
			$('body').append( output );
			$tipOutput = $('body').find( '> .tipi-tip-wrap' );
			var offset = $current[0].getBoundingClientRect();
			var top = offset.top;
			top = top + offset.height;
			$tipOutput.css('top', top + 'px').addClass( 'tipi-tip-wrap-visible' );
			var left = offset.left;
			left = left - ( offset.width / 2 ) + 6;
			$tipOutput.find('.detail').css('left', left + 'px' );
			$current.on( 'mouseleave', function() {
				$tipOutput.remove();
				$current.off( 'mouseleave mousemove' );
			});
		} );

		$( '#neovantage-reset' ).on( 'click', function( e ) {
			e.preventDefault();
			var check = confirm( neovantageObj.check );
			if ( ! check ) {
				return;
			}
			$.ajax({
				method: "GET",
				url: neovantageObj.root + 'c_r',
				beforeSend: function( xhr ) {
					xhr.setRequestHeader( 'X-WP-Nonce', neovantageObj.nonce );
				},
				success : function( response ) {
					Neovantage.state( 'saved' ).set( true );
					location.reload();
				},
				fail : function( response ) {
					console.log( 'ERROR', response );
				}
			});
		});
    
        var NEI = {
            init: function () {
                $('input[name=nei-export-button]').on('click', NEI._export);
                $('input[name=nei-import-button]').on('click', NEI._import);
            },

            _export: function () {
                window.location.href = neovantageObj.customizerURL + '?nei-export=' + neovantageObj.exportNonce;
            },

            _import: function () {
                var win = $(window),
                        body = $('body'),
                        form = $('<form class="nei-form" method="POST" enctype="multipart/form-data"></form>'),
                        controls = $('.nei-import-controls'),
                        file = $('input[name=nei-import-file]'),
                        message = $('.nei-uploading');

                if ('' == file.val()) {
                    alert( NEIl10n.emptyImport );
                } else {
                    win.off('beforeunload');
                    body.append(form);
                    form.append(controls);
                    message.show();
                    form.submit();
                }
            }
        };

        $( NEI.init );
	});
} )( jQuery, wp.customize );