/*global jQuery:false */
(function($) {
    'use strict';

    var neovantageBody = $('body'),
        cbContent = $('#content');

    function neovantageSetCookie(cookieName, cookieValue, nDays) {
        var today = new Date();
        var expire = new Date();
        if (nDays == null || nDays == 0) nDays = 1;
        expire.setTime(today.getTime() + 3600000 * 24 * nDays);
        document.cookie = cookieName + '=' + escape(cookieValue) + ';expires=' + expire.toGMTString() + '; path=/';
    }

    $(document).ready(function() {
        $('.neovantage-newsticker').neovantageNewsticker({
            control_nav: true
        });

        var neovantageGrid = cbContent.first('.neovantage-grid');

        $(neovantageGrid).imagesLoaded(function() {
            neovantageBody.addClass('neovantage-images-loaded');
        });

        $('iframe[src*="youtube"]')
            .parent()
            .fitVids();

        // tooltip
        $('.social-network li a, .options_box .color a').tooltip();

        // Magnific Popup
        $('.magnific-popup').magnificPopup({
            type: 'image',
            closeOnContentClick: true,
            closeBtnInside: false,
            fixedContentPos: true,
            mainClass: 'mfp-no-margins mfp-with-zoom', // class to remove default margin from left and right side
            image: {
                verticalFit: true
            },
            zoom: {
                enabled: true,
                duration: 300 // don't foget to change the duration also in CSS
            },
            callbacks: {
                afterClose: function() {
                    if (typeof niceScrolltrue !== 'undefined' && niceScrolltrue == 1) {
                        $('html').css('overflow', 'hidden');
                    }
                }
            }
        });
        $('.gallery-item a').magnificPopup({
            type: 'image',
            gallery: {
                enabled: true
            },
            closeOnContentClick: true,
            closeBtnInside: false,
            fixedContentPos: true,
            mainClass: 'mfp-no-margins mfp-with-zoom', // class to remove default margin from left and right side
            image: {
                verticalFit: true
            },
            zoom: {
                enabled: true,
                duration: 300 // don't foget to change the duration also in CSS
            },
            callbacks: {
                afterClose: function() {
                    if (typeof niceScrolltrue !== 'undefined' && niceScrolltrue == 1) {
                        $('html').css('overflow', 'hidden');
                    }
                }
            }
        });

        // Menu
        var neovantageBody = $('body'),
            neovantageMobOp = $('.menu-toggle'),
            neovantageMobClose = $('.neovantage-mobile-menu-close');

        neovantageMobOp.on('click', function(e) {
            e.preventDefault();
            neovantageBody.toggleClass('neovantage-mobile-open');
        });

        neovantageMobClose.on('click', function(e) {
            e.preventDefault();
            neovantageBody.removeClass('neovantage-mobile-open');
        });

        // Show Mobile Sub Menu
        var peMobileNavigation = $('.mobile-navigation li');
        peMobileNavigation.find('i').on('click', function() {
            if (
                $(this)
                    .parent()
                    .siblings('.sub-menu')
                    .css('display') == 'none' ||
                $(this)
                    .parent()
                    .siblings('.grand-sub-menu')
                    .css('display') == 'none'
            ) {
                $(this)
                    .removeClass('lynny-arrow-down-2')
                    .addClass('lynny-up-arrow-2');
                $(this)
                    .parent()
                    .siblings('.sub-menu')
                    .stop()
                    .slideDown(400, 'easeInOutQuart');
            } else {
                $(this)
                    .removeClass('lynny-up-arrow-2')
                    .addClass('lynny-arrow-down-2');
                $(this)
                    .parent()
                    .siblings('.sub-menu')
                    .stop()
                    .slideUp(400, 'easeOutQuart');
            }
        });

        peMobileNavigation.find('.sub-menu i').on('click', function() {
            if (
                $(this)
                    .parent()
                    .siblings('.grand-sub-menu')
                    .css('display') == 'none'
            ) {
                $(this)
                    .parent()
                    .siblings('.grand-sub-menu')
                    .stop()
                    .slideDown(400, 'easeInOutQuart');
            } else {
                $(this)
                    .parent()
                    .siblings('.grand-sub-menu')
                    .stop()
                    .slideUp(400, 'easeOutQuart');
            }
        });

        // Responsive Video
        $(function() {
            var $allVideos = $(
                    "iframe[src^='//player.vimeo.com'], iframe[src^='//www.youtube.com'], iframe[src^='//static.videezy.com'], object, embed"
                ),
                $fluidEl = $('figure');

            $allVideos.each(function() {
                $(this)
                    // jQuery .data does not work on object/embed elements
                    .attr('data-aspectRatio', this.height / this.width)
                    .removeAttr('height')
                    .removeAttr('width');
            });
            $(window)
                .resize(function() {
                    var newWidth = $fluidEl.width();
                    $allVideos.each(function() {
                        var $el = $(this);
                        $el.width(newWidth).height(newWidth * $el.attr('data-aspectRatio'));
                    });
                })
                .resize();
        });

        // Cookie Consent
        if ($('#cookie-consent').length) {
            $('#close-cookie-consent, .btn-cookie-consent-ok').on('click', function() {
                neovantageSetCookie('neovantageCookiesConsent', cc_vars.version, cc_vars.expiry);
                $('#cookie-consent').fadeOut(200);
            });
        }

        /***************************
         * neovantage-scroll
         * "scrolltopcontrol"
         ***************************/
        var scrolltotop = {
            //startline: Integer. Number of pixels from top of doc scrollbar is scrolled before showing control
            //scrollto: Keyword (Integer, or "Scroll_to_Element_ID"). How far to scroll document up when control is clicked on (0=top).
            setting: { startline: 500, scrollto: 0, scrollduration: 1000, fadeduration: [500, 100] },
            controlHTML: '<span class="scroltopcontrol"></span>', //HTML for control, which is auto wrapped in DIV w/ ID="topcontrol"
            controlattrs: { offsetx: 10, offsety: 50 }, //offset of control relative to right/ bottom of window corner
            anchorkeyword: '#top', //Enter href value of HTML anchors on the page that should also act as "Scroll Up" links

            state: { isvisible: false, shouldvisible: false },
            scrollup: function() {
                if (!this.cssfixedsupport)
                    //if control is positioned using JavaScript
                    this.$control.css({ opacity: 0 }); //hide control immediately after clicking it
                var dest = isNaN(this.setting.scrollto) ? this.setting.scrollto : parseInt(this.setting.scrollto);
                if (typeof dest == 'string' && jQuery('#' + dest).length == 1)
                    //check element set by string exists
                    dest = jQuery('#' + dest).offset().top;
                else dest = 0;
                this.$body.animate({ scrollTop: dest }, this.setting.scrollduration);
            },
            keepfixed: function() {
                var $window = jQuery(window);
                var controlx =
                    $window.scrollLeft() + $window.width() - this.$control.width() - this.controlattrs.offsetx;
                var controly =
                    $window.scrollTop() + $window.height() - this.$control.height() - this.controlattrs.offsety;
                this.$control.css({ left: controlx + 'px', top: controly + 'px' });
            },
            togglecontrol: function() {
                var scrolltop = jQuery(window).scrollTop();
                if (!this.cssfixedsupport) this.keepfixed();
                this.state.shouldvisible = scrolltop >= this.setting.startline ? true : false;
                if (this.state.shouldvisible && !this.state.isvisible) {
                    this.$control.stop().animate({ opacity: 1 }, this.setting.fadeduration[0]);
                    this.state.isvisible = true;
                } else if (this.state.shouldvisible == false && this.state.isvisible) {
                    this.$control.stop().animate({ opacity: 0 }, this.setting.fadeduration[1]);
                    this.state.isvisible = false;
                }
            },
            init: function() {
                $(document).ready(function($) {
                    var mainobj = scrolltotop;
                    var iebrws = document.all;
                    mainobj.cssfixedsupport =
                        !iebrws || (iebrws && document.compatMode == 'CSS1Compat' && window.XMLHttpRequest); //not IE or IE7+ browsers in standards mode
                    mainobj.$body = window.opera
                        ? document.compatMode == 'CSS1Compat'
                            ? $('html')
                            : $('body')
                        : $('html,body');
                    mainobj.$control = $('<div id="topcontrol">' + mainobj.controlHTML + '</div>')
                        .css({
                            position: mainobj.cssfixedsupport ? 'fixed' : 'absolute',
                            bottom: mainobj.controlattrs.offsety,
                            right: mainobj.controlattrs.offsetx,
                            opacity: 0,
                            cursor: 'pointer'
                        })
                        .attr({ title: 'Scroll Back to Top' })
                        .click(function() {
                            mainobj.scrollup();
                            return false;
                        })
                        .appendTo('body');
                    if (document.all && !window.XMLHttpRequest && mainobj.$control.text() != '')
                        //loose check for IE6 and below, plus whether control contains any text
                        mainobj.$control.css({ width: mainobj.$control.width() }); //IE6- seems to require an explicit width on a DIV containing text
                    mainobj.togglecontrol();
                    $('a[href="' + mainobj.anchorkeyword + '"]').click(function() {
                        mainobj.scrollup();
                        return false;
                    });
                    $(window).bind('scroll resize', function(e) {
                        mainobj.togglecontrol();
                    });
                });
            }
        };

        scrolltotop.init();

        /***************************
         * END neovantage-scroll
         * "scrolltopcontrol"
         ***************************/
    });
    $(window).load(function() {
        if ($('#preloader').length) {
            $('.preloader').fadeOut(1200);
        }
    });
})(jQuery);
