/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */
(function($) {
    var c = wp.customize;

    // Site title and description.
    c('blogname', function(value) {
        value.bind(function(to) {
            $('.site-title a').text(to);
        });
    });
    c('blogdescription', function(value) {
        value.bind(function(to) {
            $('.site-description').text(to);
        });
    });

    // Add custom-background-image body class when background image is added.
    c('background_image', function(value) {
        value.bind(function(to) {
            $('body').toggleClass('custom-background-image', '' !== to);
        });
    });

    // Add header background color.
    c('neovantage_header_bg_color', function(value) {
        value.bind(function(to) {
            $('.site-header').css('background-color', to);
        });
    });
})(jQuery);
