/*
 * Script run inside a Customizer control sidebar
 *
 * Enable / disable the control title by toggeling its .disabled-control-title style class on or off.
 */

(function($) {
    var c = wp.customize;

    c.bind('ready', function() {
        var customize = this; // Customize object alias.

        // Related Post
        customize('neovantage_maintenance_mode_setting', function(value) {
            var basicSettingsControls = ['neovantage_maintenance_msg_setting'];

            $.each(basicSettingsControls, function(index, id) {
                customize.control(id, function(control) {
                    /**
                     * Toggling function
                     */
                    var toggle = function(to) {
                        control.toggle(to);
                    };

                    // 1. On loading.
                    toggle(value.get());

                    // 2. On value change.
                    value.bind(toggle);
                });
            });
        });

        // Notice Bar
        customize('neovantage_notifications', function(value) {
            var neovantageNoticeBarControls = [
                'neovantage_notifications_text',
                'neovantage_notifications_more_info_text',
                'neovantage_notifications_more_info_page',
                'neovantage_notifications_accept_button_text',
                'neovantage_notifications_cookie_expiry',
                'neovantage_notifications_cookie_version'
            ];

            $.each(neovantageNoticeBarControls, function(index, id) {
                customize.control(id, function(control) {
                    /**
                     * Toggling function
                     */
                    var toggle = function(to) {
                        control.toggle(to);
                    };

                    // 1. On loading.
                    toggle(value.get());

                    // 2. On value change.
                    value.bind(toggle);
                });
            });
        });
    });
})(jQuery);
