<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package NEOVANTAGE
 */

get_header();
$sidebar_layout = get_theme_mod( 'neovantage-sidebar-layout', '1' );
$layout_class   = ( 3 === $sidebar_layout ) ? 'col-lg-12' : 'col-lg-8';
?>
<div class="container">
	<div class="row">
		<?php if ( 3 !== $sidebar_layout && 2 === $sidebar_layout ) { ?>
			<?php get_sidebar(); ?>
		<?php } ?>
		<div class="<?php echo sanitize_html_class( $layout_class ); ?>">
			<div id="primary" class="content-area">
				<main id="main" class="site-main" role="main">
					<?php do_action( 'neovantage_page_header' ); ?>

					<?php
					$search_page_layout = neovantage_get_theme_mod( 'neovantage_search_page_layout' );

					// Classic/List View.
					if ( 1 === $search_page_layout ) :
						$layout = 'classic-view';
					elseif ( 2 === $search_page_layout ) :
						$layout = 'list-view';
					endif;
					?>

					<?php if ( have_posts() ) : ?>
						<?php
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();
							/**
							 * Run the loop for the search to output the results.
							 * If you want to overload this in a child theme then include a file
							 * called content-search.php and that will be used instead.
							 */
							get_template_part( 'template-parts/' . $layout );
						endwhile;
						the_posts_pagination(
							array(
								'mid_size'  => 2,
								'prev_text' => __( '<i class="icon lynny-left-arrow-3"></i>', 'neovantage' ),
								'next_text' => __( '<i class="icon lynny-right-arrow-3"></i>', 'neovantage' ),
							)
						);
					else :
						get_template_part( 'template-parts/content', 'none' );
					endif;
					?>
				</main><!-- #main -->
			</div><!-- #primary -->
		</div>
		<?php if ( 3 !== $sidebar_layout && 1 === $sidebar_layout ) { ?>
			<?php get_sidebar(); ?>
		<?php } ?>
	</div>
</div>
<?php
get_footer();
