<?php
/**
 * Template part for displaying author infor.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package NEOVANTAGE
 */

$author_id = get_the_author_meta( 'ID' );
?>
<div class="author-box">
	<div class="author-img">
		<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'neovantage_author_bio_avatar_size', 100 ) ); ?>
	</div>
	<div class="author-content">
		<?php $author_post_count = ( count_user_posts( $author_id ) > 1 ) ? sprintf( __( '%d Posts', 'neovantage' ), count_user_posts( $author_id ) ) : sprintf( __( '%d Post', 'neovantage' ), count_user_posts( $author_id ) ); ?>
		<?php the_archive_title( '<h1 class="page-title">', '<span class="post-counts">' . $author_post_count . '</span></h1>' ); ?>

		<div class="author-web">
			<?php if ( get_the_author_meta( 'user_url' ) ) : ?>
			<a href="<?php the_author_meta( 'user_url' ); ?>" target="_blank" class="author-social"><i class="icon lynny-web-url"></i></a>
			<?php endif; ?>
			<?php if ( get_the_author_meta( 'facebook' ) ) : ?>
			<a href="<?php the_author_meta( 'facebook' ); ?>" target="_blank" class="author-social"><i class="icon lynny-web-facebook"></i></a>
			<?php endif; ?>
			<?php
			if ( get_the_author_meta( 'twitter' ) ) :
				$twitter = get_the_author_meta( 'twitter' );
				?>
			<a href="https://twitter.com/<?php echo esc_attr( $twitter ); ?>" target="_blank" class="author-social"><i class="icon lynny-web-twitter"></i></a>
			<?php endif; ?>
			<?php if ( get_the_author_meta( 'author_gplus' ) ) : ?>
			<a href="<?php the_author_meta( 'author_gplus' ); ?>" target="_blank" class="author-social"><i class="icon lynny-web-gplus"></i></a>
			<?php endif; ?>
			<?php if ( get_the_author_meta( 'linkedin' ) ) : ?>
			<a href="<?php the_author_meta( 'linkedin' ); ?>" target="_blank" class="author-social"><i class="icon lynny-web-linkedin"></i></a>
			<?php endif; ?>
			<?php if ( get_the_author_meta( 'author_dribbble' ) ) : ?>
			<a href="<?php the_author_meta( 'author_dribbble' ); ?>" target="_blank" class="author-social"><i class="icon lynny-web-dribbble"></i></a>
			<?php endif; ?>
		</div>
		<?php if ( get_the_author_meta( 'description' ) ) : ?>
		<div class="author-description"><?php echo wpautop( get_the_author_meta( 'description' ) ); ?></div>
		<?php endif; ?>
	</div>
</div>
