<?php
/**
 * Template part for displaying post in classic view.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package NEOVANTAGE
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<!-- .entry-media -->
	<?php get_template_part( 'template-parts/content', 'entry-media' ); ?>

	<!-- .entry-header -->
	<?php get_template_part( 'template-parts/content', 'header' ); ?>

	<!-- .entry-content -->
	<div class="entry-content">
		<?php if ( ! is_single() ) : // Only display Excerpts for Search. ?>
			<?php the_excerpt(); ?>
		<?php else : ?>
			<?php
			the_content(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'neovantage' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					get_the_title()
				)
			);

			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'neovantage' ),
					'after'  => '</div>',
				)
			);
			?>
		<?php endif; ?>
	</div><!-- .entry-content -->
	<?php neovantage_entry_footer(); /* This function has Entry Terms i.e. tags.*/ ?>
	<?php neovantage_entry_meta(); ?>
</article><!-- #post-## -->
