<?php
/**
 * Template part to display feature Image.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package NEOVANTAGE
 */

?>

<!-- entry-media -->
<?php $neovantage_has_thumbnail = neovantage_has_post_thumbnail(); ?>

<!-- entry-media -->
<div class="entry-media">
	<div class="blog-img hover-effect">
		<?php if ( $neovantage_has_thumbnail ) : ?>
		<figure>
			<a href="<?php echo esc_url( $neovantage_has_thumbnail['src'] ); ?>" title="<?php the_title(); ?>" class="magnific-popup">
				<?php echo $neovantage_has_thumbnail['full_image']; // phpcs:ignore WordPress.Security.EscapeOutput ?>
				<span class="hover">
					<?php $post_icon = neovantage_get_post_format_icon(); ?>
					<i class="<?php echo esc_attr( $post_icon['icon'] ); ?>"></i>
				</span>
			</a>
			<?php if ( $neovantage_has_thumbnail['caption'] ) : ?>
			<figcaption class="wp-caption-text"><em><?php echo esc_html( wp_strip_all_tags( $neovantage_has_thumbnail['caption'] ) ); ?></em></figcaption>
			<?php endif; ?>
		</figure>
		<?php endif; ?>
	</div>

	<!-- Edit Article -->
	<?php neovantage_edit_post(); ?>
</div>
