<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package NEOVANTAGE
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if ( ! is_single() ) : ?>
	<!-- .entry-media -->
		<?php get_template_part( 'template-parts/content', 'entry-media' ); ?>
	<?php endif; ?>

	<!-- .entry-content -->
	<div class="entry-content">
		<?php
		// Get Quote's Author.
		$author = get_post_meta( get_the_ID(), '_neovantage_quote_author', true );
		if ( ! isset( $author ) && empty( $author ) ) {
			$author = get_the_author_meta( 'display_name', get_the_ID() );
		}
		?>

		<blockquote>
			<?php the_title(); ?>

			<?php
			if ( isset( $author ) & ! empty( $author ) ) {
				echo '<cite>&mdash; ' . esc_attr( $author ) . '</cite>';
			}
			?>
		</blockquote>

		<?php if ( is_single() ) : // Only display Excerpts for Search. ?>
			<?php
			the_content();
			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'neovantage' ),
					'after'  => '</div>',
				)
			);
			?>
		<?php endif; ?>
	</div><!-- .entry-content -->
	<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta clearfix">
			<?php neovantage_entry_meta(); ?>
			<?php if ( ! is_single() ) : // Only display Excerpts for Search. ?>
			<a href="<?php the_permalink(); ?>" rel="bookmark">
				<?php
				printf(
					wp_kses(
						/* translators: %s: Name of current post. */
						__( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'neovantage' ),
						array( 'span' => array( 'class' => array() ) )
					),
					the_title( '<span class="screen-reader-text">"', '"</span>', false ) // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
				);
				?>
			</a>
			<?php endif; ?>
		</div><!-- .entry-meta -->

		<?php neovantage_entry_footer(); /* This function has Entry Terms i.e. tags.*/ ?>
	<?php endif; ?>
</article><!-- #post-## -->
